Summary: qpsmtpd disclaimer
%define realname smeserver-qpsmtpd-disclaimer
Name: %{realname}
%define version 0.0.1
Version: %{version}
%define release 0
Release: %{release}
License: GNU GPL (GNU General Public License)
Group: Mail
Source: %{realname}-%{version}.tar.gz
Packager: Michael Weinberger <Michael.Weinberger@neddix.de>
Vendor: neddix IT Consulting und Services, Stuttgart, Germany
BuildRoot: /var/tmp/%{realname}-%{version}-buildroot/
BuildArch: noarch
Requires: smeserver-release >= 7
AutoReq: no

%description
Plugin that appends a disclaimer/footer to a message, when 
* the mail is send from a local network
* and the sender domain is equal to the primary domain
* and at least one receipient domain is not the primary domain
* and the field 'X-Qpsmtp-Disclaimer' is not already in the header.

How the disclaimer is attached:
(1) If the message is a plain text message, the disclaimer is appended to the body.
(2) If the message is a multipart message which first part is plain text, the 
    disclaimer is appended to the first part.
(3) If the message is a plain text message without a plain text as the first part, 
the disclaimer is appended as new part with mimetype text/plain.
(4) If the message is a single part non plain text messaage, the message first
    is converted to multipart messages and then the disclaimer is appended as new part 
    with mimetype text/plain.
(5) With smtpd{DisclaimerHTML}=yes, the disclaimer is appended like (3) or (4) with
    mimetype text/html.

When a disclaimer was attached, a header field "X-Qpsmtp-Disclaimer: <domainname>"
is added.


Configuration:

File /home/e-smith/files/server-resources/qpsmtp/disclaimer contains the 
disclaimer text.

smtpd{disclaimer}:  enabled|disabled
smtpd{DisclaimerMimeFilename}: string
smtpd{DisclaimerHTML}: yes|no

signal-event email-update is required after a configuration change

Requires smtpd{Proxy}=enabled to work.

  

%changelog
* Fri Jun 15 2005 Michael Weinberger
- initial release 0.0.1

%prep
%setup -q -n %{realname}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}-filelist
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

rm -f %{name}-%{version}-filelist

find $RPM_BUILD_ROOT -depth -type f -print |\
 sed -e "s@^$RPM_BUILD_ROOT@@g" \
 -e "s@^/usr/share/qpsmtpd/plugins/@%attr(0644,root,root) &@"\
 -e "s@^/etc/e-smith/templates/var/service/qpsmtpd/config/plugins/@%attr(0644,root,root) &@"\
 >> %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist


%clean
rm -rf $RPM_BUILD_ROOT
exit 0

%pre
exit 0

%post
exit 0

%preun
exit 0

%postun
exit 0

%files -f %{name}-%{version}-filelist
%dir /home/e-smith/files/server-resources/qpsmtp
%defattr(-,root,root)
